curl --request GET \
--url https://thirdparty.qonto.com/v2/credit_notes/{id} \
--header 'Authorization: Bearer <token>'{
"credit_note": {
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"invoice_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"attachment_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"issue_date": "2022-03-01",
"invoice_issue_date": "2022-03-02",
"number": "INV001",
"terms_and_conditions": "This is an example.",
"header": "This is an example.",
"footer": "This is an example.",
"vat_amount": {
"value": "0.51",
"currency": "EUR"
},
"vat_amount_cents": 51,
"total_amount": {
"value": "12.52",
"currency": "EUR"
},
"total_amount_cents": 1252,
"currency": "EUR",
"created_at": "2022-03-04T17:58:30+02:00",
"finalized_at": "2022-03-04T17:58:30+02:00",
"contact_email": "contact@qonto.com",
"invoice_url": "https://pay.qonto.com/invoices/00000000-0000-0000-0000-000000000000",
"einvoicing_status": "pending",
"welfare_fund": {
"type": "TC01",
"rate": "0.0001"
},
"withholding_tax": {
"reason": "RF01",
"rate": "0.01",
"payment_reason": "<string>",
"amount": "1.00"
},
"stamp_duty_amount": "1.00",
"items": [
{
"title": "Plastic tables",
"description": "Plastic tables for McDonald’s restaurants",
"quantity": "1.5",
"unit": "meter",
"unit_price": {
"value": "10.0",
"currency": "EUR"
},
"unit_price_cents": 1000,
"vat_rate": "0.1",
"vat_exemption_reason": "N1",
"discount": {
"type": "percentage",
"value": "0.1",
"amount": {
"value": "120",
"currency": "EUR"
}
},
"total_vat": {
"value": "120",
"currency": "EUR"
},
"total_vat_cents": 12000,
"total_amount": {
"value": "300.50",
"currency": "EUR"
},
"total_amount_cents": 30050,
"subtotal": {
"value": "120",
"currency": "EUR"
},
"subtotal_cents": 12000
}
],
"client": {
"id": "33v418bb-bd0d-4df4-865c-c07afab8bb48",
"name": "McDonald's",
"first_name": "Jane",
"last_name": "Doe",
"type": "individual",
"email": "client@qonto.com",
"vat_number": "FR32123456789",
"tax_identification_number": "123456789",
"address": "1 place de l’Opéra",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "fr",
"recipient_code": "<string>",
"locale": "fr",
"billing_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
},
"delivery_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
}
},
"einvoicing_lifecycle_events": [
{
"status_code": 200,
"reason": "DOUBLE FACTURE",
"reason_message": "I already received this invoice",
"timestamp": "2024-12-04T11:05:16.4497Z"
}
]
}
}OAuth scope: client_invoices.read
Retrieves the credit note identified by the id path parameter.
curl --request GET \
--url https://thirdparty.qonto.com/v2/credit_notes/{id} \
--header 'Authorization: Bearer <token>'{
"credit_note": {
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"invoice_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"attachment_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"issue_date": "2022-03-01",
"invoice_issue_date": "2022-03-02",
"number": "INV001",
"terms_and_conditions": "This is an example.",
"header": "This is an example.",
"footer": "This is an example.",
"vat_amount": {
"value": "0.51",
"currency": "EUR"
},
"vat_amount_cents": 51,
"total_amount": {
"value": "12.52",
"currency": "EUR"
},
"total_amount_cents": 1252,
"currency": "EUR",
"created_at": "2022-03-04T17:58:30+02:00",
"finalized_at": "2022-03-04T17:58:30+02:00",
"contact_email": "contact@qonto.com",
"invoice_url": "https://pay.qonto.com/invoices/00000000-0000-0000-0000-000000000000",
"einvoicing_status": "pending",
"welfare_fund": {
"type": "TC01",
"rate": "0.0001"
},
"withholding_tax": {
"reason": "RF01",
"rate": "0.01",
"payment_reason": "<string>",
"amount": "1.00"
},
"stamp_duty_amount": "1.00",
"items": [
{
"title": "Plastic tables",
"description": "Plastic tables for McDonald’s restaurants",
"quantity": "1.5",
"unit": "meter",
"unit_price": {
"value": "10.0",
"currency": "EUR"
},
"unit_price_cents": 1000,
"vat_rate": "0.1",
"vat_exemption_reason": "N1",
"discount": {
"type": "percentage",
"value": "0.1",
"amount": {
"value": "120",
"currency": "EUR"
}
},
"total_vat": {
"value": "120",
"currency": "EUR"
},
"total_vat_cents": 12000,
"total_amount": {
"value": "300.50",
"currency": "EUR"
},
"total_amount_cents": 30050,
"subtotal": {
"value": "120",
"currency": "EUR"
},
"subtotal_cents": 12000
}
],
"client": {
"id": "33v418bb-bd0d-4df4-865c-c07afab8bb48",
"name": "McDonald's",
"first_name": "Jane",
"last_name": "Doe",
"type": "individual",
"email": "client@qonto.com",
"vat_number": "FR32123456789",
"tax_identification_number": "123456789",
"address": "1 place de l’Opéra",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "fr",
"recipient_code": "<string>",
"locale": "fr",
"billing_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
},
"delivery_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
}
},
"einvoicing_lifecycle_events": [
{
"status_code": 200,
"reason": "DOUBLE FACTURE",
"reason_message": "I already received this invoice",
"timestamp": "2024-12-04T11:05:16.4497Z"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
ID of the credit note
Returns the credit note identified by the id path parameter.
Show child attributes
Was this page helpful?